<?php
error_reporting(E_ALL);
ini_set('display_errors', '1');

require_once '../src/livespace.php';

$ls = new LiveSpace(array(
    'api_url' => 'https://zzz.livespace.pl',
    'api_key' => 'xxx',
    'api_secret' => 'yyy',
));

// Pobranie danych jednej sprzedazy
// api id sprzedaży jest wyświetlane na profilu sprzedaży (wcześniej należy włączyć wyświetlanie w ustawieniach, zakładka API)
// we wszystkich operacjach API zawsze używane są tego typu identyfikatory, różne od tych, które można zauważyć np. w pasku adresu przeglądarki pracując z aplikacją
$dealData = array(
    'id' => '345fceaa-23e1-8402-2392-cc1880342aca' // api id sprzedaży
);

if (!true) {
    $result = $ls->call('Deal/get', $dealData);
    if ($result->getStatus()) {
        echo 'Zapytanie wykonane poprawnie' . "\r\n";
        var_export($result->getResponseData());
    } else {
        echo 'Wystapil blad #' . $result->getResult()  . ":\r\n";
        print_r($result->getError());
    }
}

// Pobranie wszystkich sprzedazy spełniających podane kryteria
// pomiędzy parametrami jest stosowany spójnik AND, wewnątrz parametrów spójnik OR
// np. (status = 'open' OR status = 'won') AND (main_stage = 'abc' OR main_stage = 'def')
// main_stage oznacza aktywny (aktualny) etap sprzedaży, stage - aktywny podetap (najbardziej zaawansowany w danym etapie)
// parametry są opcjonalne i można pominąć dowolne z nich
// w przypadku szerokich kryteriów może zostać wzrócona bardzo duża ilość danych
$dealData = array( // dla parametrów podajemy jedną wartość lub kilka oddzielonych przecinkami
    'status' => 'outdated,open', // status sprzedaży - open, won, lost, outdated
    'main_stages' => 'aa23bf90-b405-bd6a-eeac-0f0be3f08244,0f0be3f08244-b405-bd6a-eeac-aa23bf90', // api id etapów sprzedaży, do odczytania w ustawieniach, zakładka API
    'stages' => 'c93ce2dd-aa21-1172-34b0-430af636c674'  // api id podetapów sprzedaży, do odczytania w ustawieniach, zakładka API
);

if (!true) {
    $result = $ls->call('Deal/getAll', $dealData);
    if ($result->getStatus()) {
        echo 'Zapytanie wykonane poprawnie' . "\r\n";
        var_export($result->getResponseData());
    } else {
        echo 'Wystapil blad #' . $result->getResult()  . ":\r\n";
        print_r($result->getError());
    }
}

// Dodanie jednej sprzedaży
$dealData = array(
    'deal' => array(
        'name' => 'Sprzedaż pojedyncza', // Nazwa sprzedaży
        'category_name' => 'kategoria inna', // Nazwa kategorii
        'price' => '12,50', // cena
        'date_end' => '2015-12-10', // data zakończenia
        'company' => array( // firma - składnia jak dla dodawania firm lub id
            'id' => '7612e728-ccbe-7ca1-2c5e-87ea2bae9778' // id firmy - @TODO wstawić właściwe
        ),
        'contact' => array( // osoba - składnia jak dla dodawania osoby lub id
            // 'id' => '12345678-ccbe-7ca1-2c5e-87ea2bae9778'
            'firstname'=> 'Jan', // imię
            'lastname' => 'Kowalski', // nazwisko
            'phones' => array( // telefony
                0 => array(
                    'phone_no' => '1234567890', // numer telefonu
                    'type' => 1, // typ telefonu: 1 - telefon, 2 - tel. komórkowy, 3 - fax
                ),
            ),
        ),
        'dataset' => array( // wartości dla pól dodatkowych, identyfikatory pól do odczytania w ustawieniach LiveSpace, inne dla każdej instancji
            '4998c21d-53de-da59-4657-1e5d3fa684e6' => '8b977d9e-48ad-dc34-f780-8bc088e6076b',  // dla pól typu select podajemy id odpowiedzi
            '1e5d3fa6-da59-da59-4657-4998c2184e6d' => 'value_2', // dla pól tekstowych podajemy pełną odpowiedź
            '8c24991d-53de-4657-4657-684e61e5d3fa' => 'value_3'
            // @TODO wstawić odpowiednie ID dla danej instancji
        ),
    )
);

if (!true) {
    $result = $ls->call('Deal/addDeal', $dealData);
    if ($result->getStatus()) {
        echo 'Zapytanie wykonane poprawnie' . "\r\n";
        var_export($result->getResponseData());
    } else {
        echo 'Wystąpił błąd #' . $result->getResult()  . ":\r\n";
        print_r($result->getError());
    }
}


// Dodanie wielu sprzedaży
$dealsData = array(
    'deals' => array(
        0 => array(
            'name' => 'Sprzedaż 0',
            'category_name' => 'kategoria',
            'price' => '12,50',
            'date_end' => '2015-12-10',
            'company' => array(
                'id' => '7612e728-ccbe-7ca1-2c5e-87ea2bae9778'
            )
        ),
        1 => array(
            'name' => 'Sprzedaż 1',
            'category_name' => 'kategoria inna',
            'price' => '1298,09',
            'date_end' => '2011-01-01',
            'company' => array(
                'name' => 'nowa firma'
            )
        )
    )
);

if (!true) {
    $result = $ls->call('Deal/addDeals', $dealsData);
    if ($result->getStatus()) {
        echo 'Zapytanie wykonane poprawnie' . "\r\n";
        var_export($result->getResponseData());
    } else {
        echo 'Wystąpił błąd #' . $result->getResult()  . ":\r\n";
        print_r($result->getError());
    }
}


// Edycja sprzedaży
$dealEditData = array(
    'deal' => array(
        'id' => '46ddf83c-629c-b3f3-23c2-eccd59258d08', // id sprzedaży
        'name' => 'Nowa nazwa',
        'price' => '127.99',
        'company' => array(
            'id' => 'f11fded3-766f-4018-9442-2aab5268f0c8' // id firmy
        ),
        'contact' => array(
            'id' => '58668144-3fc9-459c-1a3e-97d91f7f0d4a' // id kontaktu
        ),
        'dataset' => array(
            '564f511b-970e-48a3-a719-6c5868cc6b76' => '8b977d9e-48ad-dc34-f780-8bc088e6076b',
            'f399499c-3b66-fc08-693a-85976b2deb5b' => 'value_2'
        ),
        '_wall' => false
    )
);

if (!true) {
    $result = $ls->call('Deal/editDeal', $dealEditData);
    if ($result->getStatus()) {
        echo 'Zapytanie wykonane poprawnie' . "\r\n";
        var_export($result->getResponseData());
    } else {
        echo 'Wystąpił błąd #' . $result->getResult()  . ":\r\n";
        print_r($result->getError());
    }
}